你的位置:首页 > 操作系统

[操作系统]Xcode 安装插件手误选择了「Skip Bundle」后需要重新允许「Load Bundle」的解决方法


在 Mac 终端输入命令:

1 # 这里的7.1代表 Xcode 的版本号2 defaults delete com.apple.dt.Xcode DVTPlugInManagerNonApplePlugIns-Xcode-7.1

然后重启 Xcode 就会重新提示是否允许加载插件了。

Xcode 插件的位置:「~/Library/Application Support/Developer/Shared/Xcode/Plug-ins」

 

PS:当 Xcode 升级后,插件因为 UUID 问题而失效,我们该怎么解决呢?

首先:通过 Mac 终端命令查看当前版本 Xcode 的 UUID,输入如下命令:

defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID


然后在插件程序的 info.plist 文件中的 DVTPlugInCompatibilityUUIDs 数组键值中添加当前版本 Xcode 的 UUID 即可。